@echo off
REM This script expects to be run from the parent directory
REM ex. scripts/cmconfig.bat
@echo on

IF "%~1" == "noedit" (
cmake -Wno-dev -DNO_EDITOR=ON -DGLFW_BUILD_DOCS=OFF -B build/ -S . -G "Visual Studio 16 2019" -A x64
) ELSE (
cmake -Wno-dev -DGLFW_BUILD_DOCS=OFF -B build/ -S . -G "Visual Studio 16 2019" -A x64
)